Skip to main content
`Ctrl`+`K`

# DMSNESSetJacobianContextDestroy

set `SNES` Jacobian evaluation context destroy function into a `DMSNES` object

## Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMSNESSetJacobianContextDestroy(DM dm, PetscErrorCode (*f)(void *))

Not Collective

## Input Parameters

- dm - `DM` to be used with `SNES`

- f - Jacobian evaluation context destroy function

## See Also

SNES: Nonlinear Solvers, `DMSNES`, `DMSNESSetJacobian()`

## Level

developer

## Location

src/snes/utils/dmsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages